﻿/*
Usage :
slide_mc.target_mc.onLoadImage = function ()
{
}
slide_mc.target_mc.onLoadImageError = function (errorCode:String)
{
	trace("errorCode = "+ errorCode);
}
new ImageLoader( mc, imagePath, myX, myY, loaderMc ) ;
*/

class ImageLoader
{
	private var imageMc:MovieClip ;
	private var mcl:MovieClipLoader ;
	private var listener:Object ;
 
	public function ImageLoader( mc:MovieClip, imagePath:String, myX:Number, myY:Number, loaderMc:MovieClip )
	{
		//trace("| ImageLoader | imagePath = "+ imagePath );
		
		var tthis = this;
		this.mcl = new MovieClipLoader() ;
		this.listener = new Object() ;
		
		this.listener.onLoadProgress = function( loadedImageMc:MovieClip, loadedBytes:Number, totalBytes:Number )
		{
			var ratio:Number = loadedBytes/totalBytes ;
			if( loaderMc != undefined ) loaderMc.gotoAndStop( Math.floor(100*ratio) ) ;
		}
		
		this.listener.onLoadInit = function( loadedImageMc:MovieClip )
		{
			mc.onLoadImage() ;
		}
		
		this.listener.onLoadError = function( loadedImageMc:MovieClip, errorCode:String )
		{
			mc.onLoadImageError( errorCode ) ;
		};
		
		mcl.addListener( this.listener ) ;
		
		this.imageMc = mc.createEmptyMovieClip( "image_mc", mc.getNextHighestDepth() ) ;
		this.imageMc._x = myX ;
		this.imageMc._y = myY ;
		
		mcl.loadClip( imagePath, imageMc ) ;
		
		returnMc() ;
	};
	
	private function returnMc():MovieClip
	{
		return this.imageMc	;
	}
	
}