﻿import ImageLoader ;

class Lightbox
{
	private var tc:String = "Lightbox | " ;
	
	private var lightboxMc:MovieClip ;
	
	private var imageArray:Array ;
	
	
	public function Lightbox ( mc:MovieClip, imageArray:Array )
	{	
		this.lightboxMc = mc;
		this.imageArray = imageArray ;
		
		makeLightbox() ;
	}
	

	private function makeLightbox():Void
	{
		var xPos = 0 ;
		var yPos = 0 ;
		
		
		for( var i=0; i< imageArray.length; i++ )
		{
			var mc = this.lightboxMc[ "slide"+i +"_mc" ] ;
			mc.imageArrayIndex = i ;
			mc.onLoadImage = function ()
			{
				this.image_mc._x = -( this.image_mc._width / 2 ) ;
				this.image_mc._y = -( this.image_mc._height / 2 ) ;
			}
			mc.onLoadImageError = function ( errorCode:String )
			{
				trace( "errorCode = "+ errorCode ) ;
			}
			mc.onPress = function()
			{
				SiteManager.getInstance().showCarousel( this.imageArrayIndex ) ;	
			}
			
			var thumbnailPath = Toolbox.getInstance().addThumbFolderToPath( imageArray[ i ].src ) ;
			new ImageLoader( mc, thumbnailPath, xPos, yPos ) ;
		}
		
	}

}