﻿class Toolbox
{
	private var tc:String = "Toolbox | ";
		
	private static var instance:Toolbox;
	
	public static function getInstance():Toolbox
	{
		if( instance == null )
		{
			instance = new Toolbox() ;
		}
		return instance;
	}
	
	private function Toolbox()
	{
	}
	
	


	public function cover ( mc:MovieClip, state:Boolean, tx:Number, ty:Number, tw:Number, th:Number ):Void
	{
		//trace( tc+"cover = "+ state ) ;
		if (state)
		{
			var coverMc:MovieClip = mc.createEmptyMovieClip( "cover_mc", mc.getNextHighestDepth() ) ;
			
			if( tx == undefined ) tx = -( mc._width / 2 ) ;
			if( ty == undefined ) ty = -( mc._height / 2 ) ;
			if( tw == undefined ) tw = mc._width ;
			if( th == undefined ) th = mc._height ;
			
			coverMc.beginFill(0xFFFF00, 0);
			coverMc.moveTo(tx, ty);
			coverMc.lineTo(tw, ty);
			coverMc.lineTo(tw, th);
			coverMc.lineTo(tx, th);
			coverMc.lineTo(tx, ty);
			coverMc.endFill();
			coverMc.useHandCursor = false;
			coverMc.onRelease = function () {} ;
		} else {
			mc.cover_mc.removeMovieClip() ;
		}
	}
	



	// STRING
	
	public function addThumbFolderToPath( s:String ):String
	{
		var s1 = s.slice( 0, s.lastIndexOf("/") ) ;
		var s2 = s.slice( s.lastIndexOf("/"), s.length ) ;
		return s1 +"/thumb"+ s2 ;
	}
	
	
	
	
	// TRANSITION
	
	public function alphaFade( mc:MovieClip, targetAlpha:Number, speed:Number, type:Object, useSeconds:Boolean ):Void
	{
		if( useSeconds == undefined ) useSeconds = false ;
		mc.tweenAlpha = new mx.transitions.Tween( mc, "_alpha", type || mx.transitions.easing.None.easeNone, mc._alpha, targetAlpha, speed, useSeconds ) ;
		mc.tweenAlpha.onMotionFinished = function()
		{
			this.obj.onAlphaFade() ;
			delete this;
		}
		mc.tweenAlpha.onMotionChanged = function( tweenObj, percent )
		{
			this.onAlphaChanged( percent ) ;
		}
	}
	
		
		
		
		
		
	
	
	
	
	
	
	
	

}